com.google.web.bindery.requestfactory.vm

## Class InProcessRequestContext.RequestContextHandler

- java.lang.Object
- - com.google.web.bindery.requestfactory.vm.InProcessRequestContext.RequestContextHandler

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

Enclosing class:
  InProcessRequestContext

    class InProcessRequestContext.RequestContextHandler
    extends java.lang.Object
    implements java.lang.reflect.InvocationHandler

### Constructor Summary

Constructors
Constructor and Description
`RequestContextHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`InProcessRequestContext` `getContext()`
`java.lang.Object` `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestContextHandler

    RequestContextHandler()

### Method Detail

#### getContext

    public InProcessRequestContext getContext()

#### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

Specified by:
  `invoke` in interface `java.lang.reflect.InvocationHandler`
Throws:
  `java.lang.Throwable`